Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class WorkListItem2

    java.lang.Object
      com.tibco.bpm.web.client.model.types.WorkListItemBase
          com.tibco.bpm.web.client.model.types.WorkListItem2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class WorkListItem2

extends WorkListItemBase

WorkListItem

©2013 TIBCO Software Inc.

Since:
  3.0

Constructor Summary
`WorkListItem2()`

Method Summary
`java.util.Map<java.lang.String,WorkListItemAttribute>` | `getWorkListItemAttributes()`
`void` | `setWorkListItemAttributes(java.util.Map<java.lang.String,WorkListItemAttribute> workListItemAttributes)`

Methods inherited from class com.tibco.bpm.web.client.model.types.WorkListItemBase
`getActivityID, getActivityName, getAllocationMethod, getAppID, getAppInstanceDescription, getAppInstanceID, getAppName, getDescription, getEndDate, getGroupID, getId, getName, getPriority, getScheduleStatus, getStartDate, getState, getVersion, getWorkTypeDescription, getWorkTypeID, getWorkTypeVersion, isDeadline, isVisible, setActivityID, setActivityName, setAllocationMethod, setAppID, setAppInstanceDescription, setAppInstanceID, setAppName, setDeadline, setDescription, setEndDate, setGroupID, setId, setName, setPriority, setScheduleStatus, setStartDate, setState, setVersion, setVisible, setWorkTypeDescription, setWorkTypeID, setWorkTypeVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkListItem2

    public WorkListItem2()

Method Detail

### getWorkListItemAttributes

    public java.util.Map<java.lang.String,WorkListItemAttribute> getWorkListItemAttributes()

### setWorkListItemAttributes

    public void setWorkListItemAttributes(java.util.Map<java.lang.String,WorkListItemAttribute> workListItemAttributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.